[arch-commits] Commit in root/repos (8 files)
Lukas Fleischer
lfleischer at archlinux.org
Thu Dec 12 03:12:12 UTC 2019
Date: Thursday, December 12, 2019 @ 03:12:12
Author: lfleischer
Revision: 537156
db-move: moved root from [community-staging] to [community-testing] (x86_64)
Added:
root/repos/community-testing-x86_64/
root/repos/community-testing-x86_64/PKGBUILD
(from rev 537155, root/repos/community-staging-x86_64/PKGBUILD)
root/repos/community-testing-x86_64/add_missing_include_ROOT-10315.patch
(from rev 537155, root/repos/community-staging-x86_64/add_missing_include_ROOT-10315.patch)
root/repos/community-testing-x86_64/root.pc.tpl
(from rev 537155, root/repos/community-staging-x86_64/root.pc.tpl)
root/repos/community-testing-x86_64/root.xml
(from rev 537155, root/repos/community-staging-x86_64/root.xml)
root/repos/community-testing-x86_64/settings-cuda.cmake
(from rev 537155, root/repos/community-staging-x86_64/settings-cuda.cmake)
root/repos/community-testing-x86_64/settings.cmake
(from rev 537155, root/repos/community-staging-x86_64/settings.cmake)
Deleted:
root/repos/community-staging-x86_64/
--------------------------------------+
PKGBUILD | 236 +++++++++++++++++++++++++++++++++
add_missing_include_ROOT-10315.patch | 22 +++
root.pc.tpl | 11 +
root.xml | 14 +
settings-cuda.cmake | 102 ++++++++++++++
settings.cmake | 101 ++++++++++++++
6 files changed, 486 insertions(+)
Copied: root/repos/community-testing-x86_64/PKGBUILD (from rev 537155, root/repos/community-staging-x86_64/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD (rev 0)
+++ community-testing-x86_64/PKGBUILD 2019-12-12 03:12:12 UTC (rev 537156)
@@ -0,0 +1,236 @@
+# Maintainer: Konstantin Gizdov < arch at kge dot pw >
+# Contributor: Frank Siegert < frank.siegert at googlemail dot com >
+# Contributor: Scott Lawrence < bytbox at gmail dot com >
+# Contributor: Thomas Dziedzic < gostrc at gmail dot com >
+# Contributor: Sebastian Voecking < voeck at web dot de >
+
+pkgbase=root
+pkgname=('root' 'root-cuda')
+pkgver=6.18.04
+pkgrel=7
+pkgdesc='C++ data analysis framework and interpreter from CERN'
+arch=('x86_64')
+url='https://root.cern.ch'
+license=('LGPL2.1')
+makedepends=('ccache'
+ 'cern-vdt'
+ 'cfitsio'
+ 'cmake'
+ 'cuda'
+ 'fcgi'
+ 'fftw'
+ 'ftgl'
+ 'blas'
+ 'gcc-fortran'
+ 'gcc8'
+ 'gcc8-fortran'
+ 'giflib'
+ 'git'
+ 'gl2ps'
+ 'glew'
+ 'go-pie'
+ 'gsl'
+ 'hicolor-icon-theme'
+ 'intel-tbb'
+ 'libafterimage'
+ 'libmariadbclient'
+ 'librsvg'
+ 'libxpm'
+ 'ocaml'
+ 'ocaml-ctypes'
+ 'openssl'
+ 'postgresql-libs'
+ 'pythia8>=8.2.40-1'
+ 'python'
+ 'python-numpy'
+ 'sqlite'
+ 'tex-gyre-fonts'
+ 'unuran'
+ 'vc'
+ 'xmlrpc-c'
+ 'xrootd>=4.6.0-2'
+ 'xxhash>=0.6.5-1'
+ 'z3')
+depends=('blas'
+ 'desktop-file-utils'
+ 'fcgi'
+ 'fftw'
+ 'ftgl'
+ 'giflib'
+ 'gl2ps'
+ 'glew'
+ 'graphviz'
+ 'gsl'
+ 'hicolor-icon-theme'
+ 'intel-tbb'
+ 'libafterimage'
+ 'librsvg'
+ 'libxpm'
+ 'tex-gyre-fonts'
+ 'unixodbc'
+ 'xxhash>=0.6.5-1')
+optdepends=('cfitsio: Read images and data from FITS files'
+ 'cern-vdt: Add a set of fast and vectorisable mathematical functions'
+ 'libmariadbclient: MySQL support'
+ 'openssl: OpenSSL support'
+ 'postgresql-libs: PostgreSQL support'
+ 'pythia8>=8.2.40-1: Pythia8 EG support'
+ 'sqlite: SQLite support'
+ 'tcsh: Legacy CSH support'
+ 'unuran: Support non-uniform random numbers'
+ 'vc: Add types for portable and intuitive SIMD programming'
+ 'libxml2: XML parser interface'
+ 'xrootd: Support remote file server and client')
+source=("https://root.cern.ch/download/root_v${pkgver}.source.tar.gz"
+ 'root.xml'
+ 'root.pc.tpl'
+ 'settings.cmake'
+ 'settings-cuda.cmake'
+ 'add_missing_include_ROOT-10315.patch')
+sha256sums=('315a85fc8363f8eb1bffa0decbf126121258f79bd273513ed64795675485cfa4'
+ '50c08191a5b281a39aa05ace4feb8d5405707b4c54a5dcba061f954649c38cb0'
+ 'a0fc0c9404905f61fe8ba94e52ffbbefcdbcb198f2a577703b1924364a251395'
+ 'e24884e67ad241e4893c8ecac973cd38f1ea523a54e774cc996989d40091cce3'
+ 'a676e65d2615a5bb89943f72adc6e1552df60e9b0dc040c7bb05f6d640d9dbd6'
+ '1cb2654f22b5f1de7f8621434c76266968db77a1f300de857e47d0f4ad5da217')
+
+get_pyver () {
+ python -c 'import sys; print(str(sys.version_info[0]) + "." + str(sys.version_info[1]))'
+}
+
+prepare() {
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ echo " -> Applying patch $src..."
+ patch -Np1 -i "../$src" -d "${srcdir}/${pkgbase}-${pkgver}"
+ done
+
+ # don't let ROOT play around with lib paths
+ sed -i -e 's at SetLibraryPath();@@g' \
+ "${srcdir}/${pkgbase}-${pkgver}/rootx/src/rootx.cxx"
+
+ cp -r "${pkgbase}-${pkgver}" "${pkgbase}-${pkgver}-cuda"
+}
+
+build() {
+ ## ROOT
+ mkdir -p "${srcdir}/build"
+ cd "${srcdir}/build"
+
+ CFLAGS="${CFLAGS} -pthread" \
+ CXXFLAGS="${CXXFLAGS} -pthread" \
+ LDFLAGS="${LDFLAGS} -pthread -Wl,--no-undefined" \
+ cmake -C "${srcdir}/settings.cmake" \
+ -DTARGET_ARCHITECTURE:STRING=generic \
+ -DPYTHON_EXECUTABLE:PATH=/usr/bin/python \
+ -DINSTALL_PREFIX=/usr \
+ -DDEFAULT_SYSROOT=/usr \
+ "${srcdir}/${pkgbase}-${pkgver}"
+
+ cd "${srcdir}/build"
+ make
+
+ ## ROOT with CUDA
+ mkdir -p "${srcdir}/build-cuda"
+ cd "${srcdir}/build-cuda"
+
+ CC=/usr/bin/gcc-8 \
+ CXX=/usr/bin/g++-8 \
+ CFLAGS="${CFLAGS} -pthread" \
+ CXXFLAGS="${CXXFLAGS} -pthread" \
+ LDFLAGS="${LDFLAGS} -pthread -Wl,--no-undefined" \
+ cmake -C "${srcdir}/settings-cuda.cmake" \
+ -DTARGET_ARCHITECTURE:STRING=generic \
+ -DPYTHON_EXECUTABLE:PATH=/usr/bin/python \
+ -DINSTALL_PREFIX=/usr \
+ -DDEFAULT_SYSROOT=/usr \
+ "${srcdir}/${pkgbase}-${pkgver}-cuda"
+
+ cd "${srcdir}/build-cuda"
+ make
+}
+
+_package() {
+ local bld_dir="${srcdir}/${1}"
+ cd "${bld_dir}"
+
+ make DESTDIR="${pkgdir}" install
+
+ # fix python env call
+ sed -e 's/@python@/python/' -i "${pkgdir}/usr/lib/root/cmdLineUtils.py"
+
+ # try to deal with weird PyROOT, PyMVA and JupyROOT stuff
+ rm -rf "${pkgdir}/usr/lib/root/__pycache__"
+ local _pyver=$(get_pyver)
+ local _pydir="${pkgdir}/usr/lib/python${_pyver}/site-packages"
+ install -d "${_pydir}"
+ find "${pkgdir}/usr/lib/root" -maxdepth 1 -mindepth 1 \( -iname "*py*" -or -name "*Js*" \) ! -name "*EGPythia8*" -print0 | while read -rd $'\0' _lib; do
+ _base=$(basename "${_lib}")
+ ln -sf "/usr/lib/root/${_base}" "${pkgdir}/usr/lib/python${_pyver}/site-packages/${_base}"
+ done
+
+ # recompile pycache to strip $pkgdir from embedded paths
+ python -m compileall -d "/usr/lib/python${_pyver}" \
+ "${pkgdir}/usr/lib/python${_pyver}"
+ python -O -m compileall -d "/usr/lib/python${_pyver}" \
+ "${pkgdir}/usr/lib/python${_pyver}"
+
+ # icon, shortcut and mime
+ install -Dm644 "${srcdir}/${pkgbase}-${pkgver}/icons/Root6Icon.png" \
+ "${pkgdir}/usr/share/icons/hicolor/48x48/apps/root.png"
+ install -Dm644 "${srcdir}/${pkgbase}-${pkgver}/etc/root.desktop" \
+ "${pkgdir}/usr/share/applications/root.desktop"
+ echo 'Icon=root.png' >> "${pkgdir}/usr/share/applications/root.desktop"
+ install -Dm644 "${srcdir}/root.xml" \
+ "${pkgdir}/usr/share/mime/packages/root.xml"
+
+ # use a file that pacman can track instead of adding directly to ld.so.conf
+ install -d "${pkgdir}/etc/ld.so.conf.d"
+ echo '/usr/lib/root' > "${pkgdir}/etc/ld.so.conf.d/root.conf"
+
+ # create pkg-config file
+ local _prefix _exec_prefix _bindir _libdir _incdir _pkg_ver _libs _cflags
+ _prefix="$("${pkgdir}"/usr/bin/root-config --prefix)"
+ _exec_prefix="$("${pkgdir}"/usr/bin/root-config --exec-prefix)"
+ _bindir="$("${pkgdir}"/usr/bin/root-config --bindir)"
+ _libdir="$("${pkgdir}"/usr/bin/root-config --libdir)"
+ _incdir="$("${pkgdir}"/usr/bin/root-config --incdir)"
+ _pkg_ver="$(sed -n 's,.*ROOT_RELEASE *\"\(.*\)\".*,\1,p' < "${pkgdir}"/usr/include/RVersion.h)"
+ _libs="$("${pkgdir}"/usr/bin/root-config --libs)"
+ _cflags="$("${pkgdir}"/usr/bin/root-config --cflags)"
+ cp "${srcdir}/root.pc.tpl" "${bld_dir}"/
+ sed -e "s at _PREFIX@${_prefix}@" -e "s at _EXECPREFIX@${_exec_prefix}@" \
+ -e "s at _LIBDIR@${_libdir}@" -e "s at _INCDIR@${_incdir}@" \
+ -e "s at _PKGVERSION@${_pkg_ver}@" -e "s at _LIBRARIES@${_libs}@" \
+ -e "s at _CFLAGS@${_cflags}@" \
+ -i "${bld_dir}/root.pc.tpl"
+ install -Dm644 "${bld_dir}/root.pc.tpl" "${pkgdir}/usr/lib/pkgconfig/root.pc"
+
+ # put CMake config in correct path and fix relative paths
+ install -d "${pkgdir}/usr/lib/cmake/ROOT"
+ mv "${pkgdir}/usr/share/root/cmake"/* "${pkgdir}/usr/lib/cmake/ROOT"/
+ rm -rf "${pkgdir}/usr/share/root/cmake"
+ sed -e "s at ROOT_INCLUDE_DIRS .*include\"@ROOT_INCLUDE_DIRS \"${_incdir}\"@" \
+ -e "s at ROOT_LIBRARY_DIR .*lib/root\"@ROOT_LIBRARY_DIR \"${_libdir}\"@" \
+ -e "s at ROOT_BINARY_DIR .*bin\"@ROOT_BINARY_DIR \"${_bindir}\"@" \
+ -e 's@# ROOT configured for the install with relative paths, so use these@# ROOT was patched to use correct absolute paths, specifically these at g' \
+ -i "${pkgdir}"/usr/lib/cmake/ROOT/ROOTConfig.cmake
+ ln -sf "/usr/lib/root/cmake/cling" "${pkgdir}/usr/lib/cmake/ROOT/cling"
+}
+
+package_root() {
+ optdepends+=('gcc-fortran: Enable the Fortran components of ROOT')
+ _package build
+}
+
+package_root-cuda() {
+ pkgdesc='C++ data analysis framework and interpreter from CERN with GPU (CUDA) features enabled'
+ provides=('root')
+ conflicts=('root')
+ depends+=('cuda')
+ optdepends+=('gcc8-fortran: Enable the Fortran components of ROOT')
+ _package build-cuda
+}
Copied: root/repos/community-testing-x86_64/add_missing_include_ROOT-10315.patch (from rev 537155, root/repos/community-staging-x86_64/add_missing_include_ROOT-10315.patch)
===================================================================
--- community-testing-x86_64/add_missing_include_ROOT-10315.patch (rev 0)
+++ community-testing-x86_64/add_missing_include_ROOT-10315.patch 2019-12-12 03:12:12 UTC (rev 537156)
@@ -0,0 +1,22 @@
+From e31986c6523253f3160753b202e22a1c321e2b1a Mon Sep 17 00:00:00 2001
+From: Sergey Linev <S.Linev at gsi.de>
+Date: Thu, 12 Sep 2019 14:06:13 +0200
+Subject: [PATCH] [rbrowser] add missing include ROOT-10315
+
+---
+ gui/browserv7/inc/ROOT/RBrowserItem.hxx | 3 +++
+ 1 file changed, 3 insertions(+)
+
+diff --git a/gui/browserv7/inc/ROOT/RBrowserItem.hxx b/gui/browserv7/inc/ROOT/RBrowserItem.hxx
+index b21bc87b4bf..e9ae97e90c0 100644
+--- a/gui/browserv7/inc/ROOT/RBrowserItem.hxx
++++ b/gui/browserv7/inc/ROOT/RBrowserItem.hxx
+@@ -17,6 +17,9 @@
+ #ifndef ROOT7_RBrowserItem
+ #define ROOT7_RBrowserItem
+
++#include <string>
++#include <vector>
++
+ namespace ROOT {
+ namespace Experimental {
Copied: root/repos/community-testing-x86_64/root.pc.tpl (from rev 537155, root/repos/community-staging-x86_64/root.pc.tpl)
===================================================================
--- community-testing-x86_64/root.pc.tpl (rev 0)
+++ community-testing-x86_64/root.pc.tpl 2019-12-12 03:12:12 UTC (rev 537156)
@@ -0,0 +1,11 @@
+prefix=_PREFIX
+exec_prefix=_EXECPREFIX
+libdir=_LIBDIR
+includedir=_INCDIR
+
+Name: ROOT
+Version: _PKGVERSION
+Description: C++ data analysis framework and interpreter from CERN
+Requires:
+Libs: _LIBRARIES
+Cflags: _CFLAGS
Copied: root/repos/community-testing-x86_64/root.xml (from rev 537155, root/repos/community-staging-x86_64/root.xml)
===================================================================
--- community-testing-x86_64/root.xml (rev 0)
+++ community-testing-x86_64/root.xml 2019-12-12 03:12:12 UTC (rev 537156)
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
+ <mime-type type="application/x-root">
+ <comment>ROOT file</comment>
+ <comment xml:lang="de">ROOT-Datei</comment>
+ <comment xml:lang="en">ROOT-File</comment>
+ <comment xml:lang="fr">ROOT-Fichier</comment>
+ <comment xml:lang="it">ROOT-File</comment>
+ <glob pattern="*.root"/>
+ <magic priority="80">
+ <match value="root" type="string" offset="0:64"/>
+ </magic>
+ </mime-type>
+</mime-info>
Copied: root/repos/community-testing-x86_64/settings-cuda.cmake (from rev 537155, root/repos/community-staging-x86_64/settings-cuda.cmake)
===================================================================
--- community-testing-x86_64/settings-cuda.cmake (rev 0)
+++ community-testing-x86_64/settings-cuda.cmake 2019-12-12 03:12:12 UTC (rev 537156)
@@ -0,0 +1,102 @@
+set (CMAKE_BUILD_TYPE Release CACHE STRING "" FORCE)
+set (BUILD_SHARED_LIBS OFF CACHE BOOL "" FORCE) # this option is currently incompatible
+set (CMAKE_INSTALL_PREFIX /usr CACHE PATH "" FORCE)
+set (CMAKE_INSTALL_BINDIR bin CACHE PATH "" FORCE)
+set (CMAKE_INSTALL_LIBDIR lib/root CACHE PATH "" FORCE)
+set (CMAKE_INSTALL_INCLUDEDIR include CACHE PATH "" FORCE)
+set (CMAKE_INSTALL_SYSCONFDIR /etc/root CACHE PATH "" FORCE)
+set (CMAKE_INSTALL_DATAROOTDIR /usr/share CACHE PATH "" FORCE)
+set (CMAKE_CXX_STANDARD 14 CACHE STRING "" FORCE)
+set (alien OFF CACHE BOOL "" FORCE)
+set (all OFF CACHE BOOL "" FORCE)
+set (asimage ON CACHE BOOL "" FORCE)
+set (astiff ON CACHE BOOL "" FORCE)
+set (builtin_afterimage OFF CACHE BOOL "" FORCE)
+set (builtin_clang ON CACHE BOOL "" FORCE)
+set (CLANG_ENABLE_STATIC_ANALYZER ON CACHE BOOL "" FORCE)
+set (CLANG_ANALYZER_BUILD_Z3 ON CACHE BOOL "" FORCE)
+set (builtin_cfitsio OFF CACHE BOOL "" FORCE)
+set (builtin_davix OFF CACHE BOOL "" FORCE)
+set (builtin_fftw3 OFF CACHE BOOL "" FORCE)
+set (builtin_ftgl OFF CACHE BOOL "" FORCE)
+set (builtin_freetype OFF CACHE BOOL "" FORCE)
+set (builtin_gl2ps OFF CACHE BOOL "" FORCE)
+set (builtin_glew OFF CACHE BOOL "" FORCE)
+set (builtin_gsl OFF CACHE BOOL "" FORCE)
+set (builtin_lzma OFF CACHE BOOL "" FORCE)
+set (builtin_llvm ON CACHE BOOL "" FORCE)
+set (builtin_openssl OFF CACHE BOOL "" FORCE)
+set (builtin_pcre OFF CACHE BOOL "" FORCE)
+set (builtin_tbb OFF CACHE BOOL "" FORCE)
+set (builtin_unuran OFF CACHE BOOL "" FORCE)
+set (builtin_vc OFF CACHE BOOL "" FORCE)
+set (builtin_xxhash OFF CACHE BOOL "" FORCE)
+set (builtin_xrootd OFF CACHE BOOL "" FORCE)
+set (builtin_zlib OFF CACHE BOOL "" FORCE)
+set (ccache OFF CACHE BOOL "" FORCE)
+set (clad ON CACHE BOOL "" FORCE)
+set (cling ON CACHE BOOL "" FORCE)
+set (cocoa OFF CACHE BOOL "" FORCE) # MacOS only
+set (cuda ON CACHE BOOL "" FORCE)
+set (davix OFF CACHE BOOL "" FORCE)
+set (dcache OFF CACHE BOOL "" FORCE)
+set (exceptions ON CACHE BOOL "" FORCE)
+set (explicitlink ON CACHE BOOL "" FORCE)
+set (fail-on-missing ON CACHE BOOL "" FORCE)
+set (fftw3 ON CACHE BOOL "" FORCE)
+set (fitsio ON CACHE BOOL "" FORCE)
+set (fortran ON CACHE BOOL "" FORCE)
+set (gdml ON CACHE BOOL "" FORCE)
+set (genvector ON CACHE BOOL "" FORCE)
+set (gfal OFF CACHE BOOL "" FORCE)
+set (gl2ps ON CACHE BOOL "" FORCE)
+set (gminimal OFF CACHE BOOL "" FORCE)
+set (gnuinstall ON CACHE BOOL "" FORCE)
+set (gsl_shared ON CACHE BOOL "" FORCE)
+set (gviz ON CACHE BOOL "" FORCE)
+set (http ON CACHE BOOL "" FORCE)
+set (imt ON CACHE BOOL "" FORCE)
+set (jemalloc OFF CACHE BOOL "" FORCE)
+set (mathmore ON CACHE BOOL "" FORCE)
+set (minimal OFF CACHE BOOL "" FORCE)
+set (minuit2 ON CACHE BOOL "" FORCE)
+set (monalisa OFF CACHE BOOL "" FORCE)
+set (mt ON CACHE BOOL "" FORCE)
+set (mysql ON CACHE BOOL "" FORCE)
+set (odbc ON CACHE BOOL "" FORCE)
+set (opengl ON CACHE BOOL "" FORCE)
+set (OpenGL_GL_PREFERENCE GLVND CACHE STRING "" FORCE) # use new policy since 3.11
+set (oracle OFF CACHE BOOL "" FORCE)
+set (pch ON CACHE BOOL "" FORCE)
+set (pgsql ON CACHE BOOL "" FORCE)
+set (pythia6 OFF CACHE BOOL "" FORCE)
+set (pythia6_nolink OFF CACHE BOOL "" FORCE)
+set (pythia8 ON CACHE BOOL "" FORCE)
+# set (python3 ON CACHE BOOL "" FORCE)
+set (python ON CACHE BOOL "" FORCE)
+set (roofit ON CACHE BOOL "" FORCE)
+set (root7 ON CACHE BOOL "" FORCE)
+set (roottest OFF CACHE BOOL "" FORCE)
+set (rpath OFF CACHE BOOL "" FORCE)
+set (runtime_cxxmodules OFF CACHE BOOL "" FORCE) # breaks python
+set (r OFF CACHE BOOL "" FORCE) # requires r-rcpp
+set (shadowpw ON CACHE BOOL "" FORCE)
+set (shared ON CACHE BOOL "" FORCE)
+set (soversion OFF CACHE BOOL "" FORCE)
+set (sqlite ON CACHE BOOL "" FORCE)
+set (ssl ON CACHE BOOL "" FORCE)
+set (tbb ON CACHE BOOL "" FORCE)
+set (tcmalloc OFF CACHE BOOL "" FORCE)
+set (testing OFF CACHE BOOL "" FORCE)
+set (thread ON CACHE BOOL "" FORCE) # cannot be disabled
+set (tmva ON CACHE BOOL "" FORCE)
+set (tmva-cpu OFF CACHE BOOL "" FORCE)
+set (tmva-gpu ON CACHE BOOL "" FORCE)
+set (tmva-pymva ON CACHE BOOL "" FORCE)
+set (unuran ON CACHE BOOL "" FORCE)
+set (vc ON CACHE BOOL "" FORCE)
+set (vdt ON CACHE BOOL "" FORCE)
+set (winrtdebug OFF CACHE BOOL "" FORCE) # windows only
+set (x11 ON CACHE BOOL "" FORCE)
+set (xml ON CACHE BOOL "" FORCE)
+set (xrootd ON CACHE BOOL "" FORCE)
Copied: root/repos/community-testing-x86_64/settings.cmake (from rev 537155, root/repos/community-staging-x86_64/settings.cmake)
===================================================================
--- community-testing-x86_64/settings.cmake (rev 0)
+++ community-testing-x86_64/settings.cmake 2019-12-12 03:12:12 UTC (rev 537156)
@@ -0,0 +1,101 @@
+set (CMAKE_BUILD_TYPE Release CACHE STRING "" FORCE)
+set (BUILD_SHARED_LIBS OFF CACHE BOOL "" FORCE) # this option is currently incompatible
+set (CMAKE_INSTALL_PREFIX /usr CACHE PATH "" FORCE)
+set (CMAKE_INSTALL_BINDIR bin CACHE PATH "" FORCE)
+set (CMAKE_INSTALL_LIBDIR lib/root CACHE PATH "" FORCE)
+set (CMAKE_INSTALL_INCLUDEDIR include CACHE PATH "" FORCE)
+set (CMAKE_INSTALL_SYSCONFDIR /etc/root CACHE PATH "" FORCE)
+set (CMAKE_INSTALL_DATAROOTDIR /usr/share CACHE PATH "" FORCE)
+set (CMAKE_CXX_STANDARD 17 CACHE STRING "" FORCE)
+set (alien OFF CACHE BOOL "" FORCE)
+set (all OFF CACHE BOOL "" FORCE)
+set (asimage ON CACHE BOOL "" FORCE)
+set (astiff ON CACHE BOOL "" FORCE)
+set (builtin_afterimage OFF CACHE BOOL "" FORCE)
+set (builtin_clang ON CACHE BOOL "" FORCE)
+set (CLANG_ENABLE_STATIC_ANALYZER ON CACHE BOOL "" FORCE)
+set (CLANG_ANALYZER_BUILD_Z3 ON CACHE BOOL "" FORCE)
+set (builtin_cfitsio OFF CACHE BOOL "" FORCE)
+set (builtin_davix OFF CACHE BOOL "" FORCE)
+set (builtin_fftw3 OFF CACHE BOOL "" FORCE)
+set (builtin_ftgl OFF CACHE BOOL "" FORCE)
+set (builtin_freetype OFF CACHE BOOL "" FORCE)
+set (builtin_gl2ps OFF CACHE BOOL "" FORCE)
+set (builtin_glew OFF CACHE BOOL "" FORCE)
+set (builtin_gsl OFF CACHE BOOL "" FORCE)
+set (builtin_lzma OFF CACHE BOOL "" FORCE)
+set (builtin_llvm ON CACHE BOOL "" FORCE)
+set (builtin_openssl OFF CACHE BOOL "" FORCE)
+set (builtin_pcre OFF CACHE BOOL "" FORCE)
+set (builtin_tbb OFF CACHE BOOL "" FORCE)
+set (builtin_unuran OFF CACHE BOOL "" FORCE)
+set (builtin_vc OFF CACHE BOOL "" FORCE)
+set (builtin_xxhash OFF CACHE BOOL "" FORCE)
+set (builtin_xrootd OFF CACHE BOOL "" FORCE)
+set (builtin_zlib OFF CACHE BOOL "" FORCE)
+set (ccache OFF CACHE BOOL "" FORCE)
+set (clad ON CACHE BOOL "" FORCE)
+set (cling ON CACHE BOOL "" FORCE)
+set (cocoa OFF CACHE BOOL "" FORCE) # MacOS only
+set (cuda OFF CACHE BOOL "" FORCE)
+set (davix OFF CACHE BOOL "" FORCE)
+set (dcache OFF CACHE BOOL "" FORCE)
+set (exceptions ON CACHE BOOL "" FORCE)
+set (explicitlink ON CACHE BOOL "" FORCE)
+set (fail-on-missing ON CACHE BOOL "" FORCE)
+set (fftw3 ON CACHE BOOL "" FORCE)
+set (fitsio ON CACHE BOOL "" FORCE)
+set (fortran ON CACHE BOOL "" FORCE)
+set (gdml ON CACHE BOOL "" FORCE)
+set (genvector ON CACHE BOOL "" FORCE)
+set (gfal OFF CACHE BOOL "" FORCE)
+set (gl2ps ON CACHE BOOL "" FORCE)
+set (gminimal OFF CACHE BOOL "" FORCE)
+set (gnuinstall ON CACHE BOOL "" FORCE)
+set (gsl_shared ON CACHE BOOL "" FORCE)
+set (gviz ON CACHE BOOL "" FORCE)
+set (http ON CACHE BOOL "" FORCE)
+set (imt ON CACHE BOOL "" FORCE)
+set (jemalloc OFF CACHE BOOL "" FORCE)
+set (mathmore ON CACHE BOOL "" FORCE)
+set (minimal OFF CACHE BOOL "" FORCE)
+set (minuit2 ON CACHE BOOL "" FORCE)
+set (monalisa OFF CACHE BOOL "" FORCE)
+set (mt ON CACHE BOOL "" FORCE)
+set (mysql ON CACHE BOOL "" FORCE)
+set (odbc ON CACHE BOOL "" FORCE)
+set (opengl ON CACHE BOOL "" FORCE)
+set (OpenGL_GL_PREFERENCE GLVND CACHE STRING "" FORCE) # use new policy since 3.11
+set (oracle OFF CACHE BOOL "" FORCE)
+set (pch ON CACHE BOOL "" FORCE)
+set (pgsql ON CACHE BOOL "" FORCE)
+set (pythia6 OFF CACHE BOOL "" FORCE)
+set (pythia6_nolink OFF CACHE BOOL "" FORCE)
+set (pythia8 ON CACHE BOOL "" FORCE)
+# set (python3 ON CACHE BOOL "" FORCE)
+set (python ON CACHE BOOL "" FORCE)
+set (roofit ON CACHE BOOL "" FORCE)
+set (root7 ON CACHE BOOL "" FORCE)
+set (roottest OFF CACHE BOOL "" FORCE)
+set (rpath OFF CACHE BOOL "" FORCE)
+set (runtime_cxxmodules OFF CACHE BOOL "" FORCE) # breaks python
+set (r OFF CACHE BOOL "" FORCE) # requires r-rcpp
+set (shadowpw ON CACHE BOOL "" FORCE)
+set (shared ON CACHE BOOL "" FORCE)
+set (soversion OFF CACHE BOOL "" FORCE)
+set (sqlite ON CACHE BOOL "" FORCE)
+set (ssl ON CACHE BOOL "" FORCE)
+set (tbb ON CACHE BOOL "" FORCE)
+set (tcmalloc OFF CACHE BOOL "" FORCE)
+set (testing OFF CACHE BOOL "" FORCE)
+set (thread ON CACHE BOOL "" FORCE) # cannot be disabled
+set (tmva ON CACHE BOOL "" FORCE)
+set (tmva-cpu ON CACHE BOOL "" FORCE)
+set (tmva-pymva ON CACHE BOOL "" FORCE)
+set (unuran ON CACHE BOOL "" FORCE)
+set (vc ON CACHE BOOL "" FORCE)
+set (vdt ON CACHE BOOL "" FORCE)
+set (winrtdebug OFF CACHE BOOL "" FORCE) # windows only
+set (x11 ON CACHE BOOL "" FORCE)
+set (xml ON CACHE BOOL "" FORCE)
+set (xrootd ON CACHE BOOL "" FORCE)
More information about the arch-commits
mailing list